﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Input;

namespace flattiverseGameClient
{
    public class MainViewModel : Helper.ViewModelBase
    {
        #region variables
        private Flattiverse.Connector _connector;
        
        #region getter/setter
  
        #endregion getter/setter
        #endregion variables

        #region Constructor
        /// <summary>
        /// creates a new instance of MainViewModel
        /// </summary>
        public MainViewModel()
        {
            //_connector = new Flattiverse.Connector();

            #region Login / Connection Infos
            LoginCmd = new LoginCommand(this);
            LogoutCmd = new LogoutCommand(this);

            _isLoggedIn = false;
            _userName = "Hoschi81";
            _password = "password!1";
            #endregion Login / Connection Infos
        }
        #endregion Constructor


        #region Login / Connection Infos
        #region variables
        public ICommand LoginCmd;
        public ICommand LogoutCmd;

        #region getter/setter

        #endregion getter/setter
        #endregion variables

        #region Methodes
        public void Login()
        {

            IsLoggedIn = true;
            
            AccountName = _connector.Account.Name;
            Platform = _connector.Account.Platform.ToString();
        }

        public void LogOut()
        {
            IsLoggedIn = false;
        }
        #endregion Methoes


        #region bindings
        private bool _isLoggedIn;
        private string _userName;
        private string _password;
        private string _accountName;
        private string _platform;

        public string AccountName
        {
            get { return _accountName; }
            private set
            {
                _accountName = value;
                base.RaisePropertyChanged("AccountName");
            }
        }

        public string Platform
        {
            get { return _platform; }
            private set
            {
                _platform = value;
                base.RaisePropertyChanged("Platform");
            }
        }

        public bool IsLoggedIn
        {
            get { return _isLoggedIn; }
            private set
            {
                _isLoggedIn = value;
                base.RaisePropertyChanged("IsLoggedIn");
            }
        }

        public string UserName
        {
            get { return _userName; }
            private set
            {
                _userName = value;
                base.RaisePropertyChanged("UserName");
            }
        }

        public string Password
        {
            get { return _password; }
            private set
            {
                _password = value;
                base.RaisePropertyChanged("Password");
            }
        }
        #endregion bindings
        #endregion Login / Connection Infos

        public void Debug()
        {
            if (_connector == null)
                _connector = new Flattiverse.Connector();
            _connector.Login(_userName, _password);

            Flattiverse.Ship debugShip = new Flattiverse.Ship("Debug");

            _connector.UniverseGroups["Labyrint I"].RegisterShip(debugShip);


        }
    }
}
